# $Revision: 1.14 $, $Date: 2010/07/08 08:09:50 $
%define		module	eyeD3
Summary:	Module for manipulating ID3 informational tags on MP3 audio files
Summary(pl.UTF-8):	Moduł służący do manipulacji znacznikami ID3 plików MP3
Name:		python-%{module}
Version:	0.6.17
Release:	2
License:	GNU
Group:		Development/Languages/Python
Source0:	http://eyed3.nicfit.net/releases/%{module}-%{version}.tar.gz
# Source0-md5:	7bc175d0eb1e0152753b2aca80df6fde
URL:		http://eyed3.nicfit.net/
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eyeD3 is a Python module and program for processing ID3 tags.
Information about MP3 files (i.e bit rate, sample frequency, play
time, etc.) is also provided. The formats supported are ID3 v1.0/v1.1
and v2.3/v2.4.

%description -l pl.UTF-8
eyeD3 to moduł języka Python oraz wykorzystujący go program,
przetwarzający znaczniki ID3. Dostarczana jest także informacja o
samych plikach MP3 (długość, częstotliwość próbkowania itp.).
Obsługiwane są znaczniki ID3 w wersjach v1.0/v1.1 i v2.3/v2.4.

%prep
%setup -q -n %{module}-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/*.py
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{module}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.html NEWS THANKS TODO
%attr(755,root,root) %{_bindir}/%{module}
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/eyeD3-%{version}-*.egg-info
%{_mandir}/man1/%{module}.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-eyeD3.spec,v $
Revision 1.14  2010/07/08 08:09:50  arekm
- release 2

Revision 1.13  2009/03/14 21:28:20  duddits
- up to 0.6.17
- %files: egg.info

Revision 1.12  2008/11/11 14:25:46  arvenil
- up to 0.6.16

Revision 1.11  2008/10/03 17:49:27  arekm
- release 2

Revision 1.10  2007-02-26 16:49:11  darekr
- updated to 0.6.12 from beorn at alpha.pl

Revision 1.9  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.7  2006/11/14 19:17:07  patrys
- up to 0.6.11

Revision 1.6  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.5  2005/01/19 09:07:30  leafnode
- updated to 0.6.3

Revision 1.4  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.3  2004/11/25 13:29:13  snurf
- typo

Revision 1.2  2004/11/22 22:21:44  qboosh
- MP3 unification

Revision 1.1  2004/11/22 03:17:08  leafnode
- import
